dnglab-analyze(1)

NAME
dnglab-analyze - Analyze raw image

SYNOPSIS
dnglab-analyze [--raw-pixel] [--full-pixel] [--preview-pixel] [--thumbnail-pixel] [--raw-checksum] [--full-checksum] [--preview-checksum] [--thumbnail-checksum] [--srgb] [--meta] [--structure] [--summary] [--json] [--yaml] [-h|--help] <FILE>

DESCRIPTION
Analyze raw image

OPTIONS

--raw-pixel

--full-pixel
    Write uncompressed full pixel data to STDOUT

--preview-pixel
    Write uncompressed preview pixel data to STDOUT

--thumbnail-pixel
    Write uncompressed preview pixel data to STDOUT

--raw-checksum
    Write MD5 checksum of raw pixels to STDOUT

--full-checksum
    Write MD5 checksum of full pixels to STDOUT

--preview-checksum
    Write MD5 checksum of preview pixels to STDOUT

--thumbnail-checksum
    Write MD5 checksum of thumbnail pixels to STDOUT

--srgb
    Write sRGB 16-bit TIFF to STDOUT

--meta
    Write metadata to STDOUT

--structure
    Write file structure to STDOUT

--summary
    Write summary information for file to STDOUT

--json
    Format metadata as JSON

--yaml
    Format metadata as YAML

-h, --help
    Print help

<FILE>
    Input file